An array containing the returned products' details. Each item carries CartItemId, MerchantReturnReasonCode, MerchantReturnReasonDescription, ProductCode and ReturnQuantity.
Sets the language of the Combined Return Note. CultureCode must be provided in IETF BCP 47 language tag format (for example, en-US, fr-FR, or de-DE). The note is translated into the language specified by CultureCode. If CultureCode is missing, empty, or unsupported, the note defaults to English. Supported cultures: all languages supported by the product. Translated: static text and labels in the note. Not translated: merchant-specific and dynamic content, such as addresses, SKUs, and prices. Provider support: Not all return providers support translation by default — it is currently enabled for ReturnGO. To receive translated return notes, providers must include their provider code in the ProviderCode parameter and ensure their CSM has added them to the translation allow-list.
Based on the end customer's selected shipping method, as returned in the GetReturnShippingOptions response. If empty, Global-e uses the cheapest method based on the return shipping type ID (or self-postage if configured).
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Global-e Docs","colors":{"primary":"#F15A2B","light":"#F57C00","dark":"#C2451F"},"logo":{"light":"https://mintcdn.com/globale-enterprise/xvASI8IP64Cj0kr_/logo/light.png?fit=max\u0026auto=format\u0026n=xvASI8IP64Cj0kr_\u0026q=85\u0026s=3b5849fa849995b81b219c94b874d44f","dark":"https://mintcdn.com/globale-enterprise/xvASI8IP64Cj0kr_/logo/dark.png?fit=max\u0026auto=format\u0026n=xvASI8IP64Cj0kr_\u0026q=85\u0026s=4b3c45ba5ba14d2aadb54b500e20183c","href":"/introduction"},"favicon":"https://mintcdn.com/globale-enterprise/tw35F3WiyJ8sxtxX/favicon.png?fit=max\u0026auto=format\u0026n=tw35F3WiyJ8sxtxX\u0026q=85\u0026s=261a34ff25dc6eee4c7acf742bba08b5","api":{"playground":{"display":"simple"}},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"https://status.global-e.com/","label":"Status Page"},{"href":"https://trustcenter.global-e.com","label":"Trust Center"},{"href":"/contact-us","label":"Escalating a Ticket"}]},"styling":{"eyebrows":"breadcrumbs","latex":true},"contextual":{"options":[],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"globale-enterprise","hasAudioNarration":false,"actualSubdomain":"globale-enterprise","customDomains":["docs.global-e.com"],"gitSource":{"type":"gitlab","owner":"global-e/product","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"enterprise","isPrivate":true,"projectId":84016925,"mountPath":"","label":""},"chroma":{"collectionId":"512fb028-3e65-4b3e-a3cf-b3550e4b3bb3","liveDeploymentHistoryId":"6ae36b0095eb8a3e5a09981b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae36b0095eb8a3e5a09981b"},"feedback":{"thumbs":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae36b0095eb8a3e5a09981b","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"Documentation","count":477},{"language":"default","tag":"Topics","count":477},{"language":"default","tag":"eCommerce Integration","count":182},{"language":"default","tag":"API Reference","count":80},{"language":"default","tag":"Global-e: The Basics","count":74},{"language":"default","tag":"SDK and API","count":53},{"language":"default","tag":"SFCC","count":48},{"language":"default","tag":"Merchant Portal","count":44},{"language":"default","tag":"New Returns Portal for All Platforms (Excluding Shopify)","count":44},{"language":"default","tag":"New Returns Portal for Shopify","count":38}],"searchSettings":{"maxResults":15}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","href":"/_mintlify/custom/globale-enterprise/bdd88c3538cea5b1/style.css"}],"page":{"pagePath":"api-reference/get-return-documents","slug":"/api-reference/get-return-documents","pageMetadata":{"contextual":{"options":[{"title":"View YAML","description":"Open the OpenAPI spec for this endpoint","icon":"file-code","href":"/api-reference/specs/getreturndocuments.yaml"},"download-spec","copy","view","chatgpt","claude"]},"title":"Get return documents (Merchant to Global-e)","sidebarTitle":"Get return documents","description":"Generates a Global-e RMA and returns the required return documents (label, return note, commercial invoice) with tracking details.","openapi":"api-reference/specs/getreturndocuments.yaml POST /Return/GetReturnDocuments","href":"/api-reference/get-return-documents"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Generates a Global-e RMA and returns the required return documents (label, return note, commercial invoice) with tracking details.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,p:`p`,..._provideComponents(),...props.components},{Note}=_components;if(!Note)_missingMdxReference(`Note`,true);return _jsx(Note,{children:_jsxs(_components.p,{children:[`Part of the `,_jsx(_components.a,{href:`/returns-via-api`,children:`Returns`}),` integration guide — see it for when and how to use this endpoint.`]})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"contextual":{"options":[{"title":"View YAML","description":"Open the OpenAPI spec for this endpoint","icon":"file-code","href":"/api-reference/specs/getreturndocuments.yaml"},"download-spec","copy","view","chatgpt","claude"]},"title":"Get return documents (Merchant to Global-e)","sidebarTitle":"Get return documents","description":"Generates a Global-e RMA and returns the required return documents (label, return note, commercial invoice) with tracking details.","openapi":"api-reference/specs/getreturndocuments.yaml POST /Return/GetReturnDocuments","href":"/api-reference/get-return-documents"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/globale-enterprise/3a1555eec05adf43/feedback-link.js","/_mintlify/custom/globale-enterprise/07a4be9d6ed97624/footer-legal.js","/_mintlify/custom/globale-enterprise/49711f0bc5d1b97e/country-table.js","/_mintlify/custom/globale-enterprise/d9fcdd3337ee5e98/assistant-open-full.js"],"openApiReferenceData":{"operation":{"summary":"Generate the RMA and return documents for an order","description":"Generates a Global-e RMA and returns the required return documents (label, return note, commercial invoice) with tracking details.","operationId":"getReturnDocuments","tags":["GetReturnDocuments"],"requestBody":"424bedba-9f24-483c-b9da-8b93e5b7731c","responses":{"200":"760523a7-13d3-47ff-ab6b-0c1d2dee8d59","400":"6109f869-d88b-47bd-be6d-0e11f0612e0b"},"method":"post","type":"path","servers":["6deafc7b-76d9-4371-a512-996c413a1b17"],"security":[],"path":"/Return/GetReturnDocuments","baseUrlOptions":["https://{globale_api_domain}"],"title":"Generate the RMA and return documents for an order","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","title":"GetReturnDocumentsRequest","required":["OrderId","ReturnedProducts"],"properties":{"OrderId":{"type":"string","maxLength":100,"description":"The unique Order ID. Maximum 100 characters.","isRequired":true,"uniqueKey":"OrderId","typeLabel":"string"},"ReturnedProducts":{"type":"array","description":"An array containing the returned products' details. Each item carries CartItemId, MerchantReturnReasonCode, MerchantReturnReasonDescription, ProductCode and ReturnQuantity.","items":{"type":"object","title":"ReturnedProduct","required":["ProductCode","ReturnQuantity"],"properties":{"ProductCode":{"type":"string","maxLength":600,"description":"The ProductCode identifying the product. Maximum 600 characters.","isRequired":true,"uniqueKey":"ReturnedProducts.items.[INDEX].ProductCode","typeLabel":"string"},"ReturnQuantity":{"type":"integer","description":"Quantity of the returned product. Maximum 100 characters.","isRequired":true,"uniqueKey":"ReturnedProducts.items.[INDEX].ReturnQuantity","typeLabel":"integer"},"CartItemId":{"type":"string","maxLength":50,"description":"Identifier of the cart item. Maximum 50 characters.","uniqueKey":"ReturnedProducts.items.[INDEX].CartItemId","typeLabel":"string"},"MerchantReturnReasonCode":{"type":"string","maxLength":100,"description":"The code of the reason for the product return on the merchant. Maximum 100 characters.","uniqueKey":"ReturnedProducts.items.[INDEX].MerchantReturnReasonCode","typeLabel":"string"},"MerchantReturnReasonDescription":{"type":"string","maxLength":100,"description":"The description of the reason for the return on the merchant site. Maximum 100 characters. Mandatory if no reason code provided.","uniqueKey":"ReturnedProducts.items.[INDEX].MerchantReturnReasonDescription","typeLabel":"string"}},"uniqueKey":"ReturnedProducts.items.[INDEX]","typeLabel":"ReturnedProduct · object"},"isRequired":true,"uniqueKey":"ReturnedProducts","typeLabel":"ReturnedProduct · object[]"},"CurrencyCode":{"type":"string","description":"The currency of the returned prepaid shipping cost. 3-character ISO code. Mandatory if ShippingCost has a greater value than 0.","uniqueKey":"CurrencyCode","typeLabel":"string"},"CultureCode":{"type":"string","description":"Sets the language of the Combined Return Note. CultureCode must be provided in IETF BCP 47 language tag format (for example, en-US, fr-FR, or de-DE). The note is translated into the language specified by CultureCode. If CultureCode is missing, empty, or unsupported, the note defaults to English. Supported cultures: all languages supported by the product. Translated: static text and labels in the note. Not translated: merchant-specific and dynamic content, such as addresses, SKUs, and prices. Provider support: Not all return providers support translation by default — it is currently enabled for ReturnGO. To receive translated return notes, providers must include their provider code in the ProviderCode parameter and ensure their CSM has added them to the translation allow-list.","uniqueKey":"CultureCode","typeLabel":"string"},"Email":{"type":"string","maxLength":100,"description":"The customer's email address. Maximum 100 characters.","uniqueKey":"Email","typeLabel":"string"},"IsReturnForService":{"type":"boolean","description":"Indicates if return is created for service.","uniqueKey":"IsReturnForService","typeLabel":"boolean"},"MerchantRMANumber":{"type":"string","maxLength":200,"description":"The Merchant's internal return merchandise authorization (RMA) Number. Maximum 200 characters.","uniqueKey":"MerchantRMANumber","typeLabel":"string"},"ProviderCode":{"type":"string","description":"The provider's name identifies the source of the request.","uniqueKey":"ProviderCode","typeLabel":"string"},"ReturnAddress":{"type":"object","title":"ReturnAddress","description":"The merchant hub delivery address with return details.","required":["Address1","City","CompanyName","CountryCode","FirstName","PostalCode"],"properties":{"Address1":{"type":"string","description":"Address line 1 for return.","isRequired":true,"uniqueKey":"ReturnAddress.Address1","typeLabel":"string"},"City":{"type":"string","maxLength":100,"description":"City name for return. Maximum 100 characters.","isRequired":true,"uniqueKey":"ReturnAddress.City","typeLabel":"string"},"CompanyName":{"type":"string","maxLength":100,"description":"Company name for return. Maximum 100 characters.","isRequired":true,"uniqueKey":"ReturnAddress.CompanyName","typeLabel":"string"},"CountryCode":{"type":"string","description":"Country code for return, 2-character code.","isRequired":true,"uniqueKey":"ReturnAddress.CountryCode","typeLabel":"string"},"FirstName":{"type":"string","maxLength":500,"description":"First name for return. Maximum 500 characters.","isRequired":true,"uniqueKey":"ReturnAddress.FirstName","typeLabel":"string"},"PostalCode":{"type":"string","maxLength":50,"description":"Postal code for return. Maximum 50 characters.","isRequired":true,"uniqueKey":"ReturnAddress.PostalCode","typeLabel":"string"},"Address2":{"type":"string","description":"Address line 2 for return.","uniqueKey":"ReturnAddress.Address2","typeLabel":"string"},"Email":{"type":"string","maxLength":500,"description":"Email address for return. Maximum 500 characters.","uniqueKey":"ReturnAddress.Email","typeLabel":"string"},"Fax":{"type":"string","maxLength":50,"description":"Fax number for return. Maximum 50 characters.","uniqueKey":"ReturnAddress.Fax","typeLabel":"string"},"LastName":{"type":"string","maxLength":500,"description":"Last name for return. Maximum 500 characters.","uniqueKey":"ReturnAddress.LastName","typeLabel":"string"},"Phone1":{"type":"string","maxLength":50,"description":"Phone 1 for return. Maximum 50 characters.","uniqueKey":"ReturnAddress.Phone1","typeLabel":"string"},"Phone2":{"type":"string","maxLength":50,"description":"Phone 2 for return. Maximum 50 characters.","uniqueKey":"ReturnAddress.Phone2","typeLabel":"string"},"StateCode":{"type":"string","maxLength":20,"description":"State code for return. Maximum 20 characters.","uniqueKey":"ReturnAddress.StateCode","typeLabel":"string"},"StateOrProvince":{"type":"string","maxLength":100,"description":"State or province for return. Maximum 100 characters.","uniqueKey":"ReturnAddress.StateOrProvince","typeLabel":"string"}},"uniqueKey":"ReturnAddress","typeLabel":"ReturnAddress · object"},"ReturnShippingMethodId":{"type":"integer","description":"Based on the end customer's selected shipping method, as returned in the GetReturnShippingOptions response. If empty, Global-e uses the cheapest method based on the return shipping type ID (or self-postage if configured).","uniqueKey":"ReturnShippingMethodId","typeLabel":"integer"},"ReturnShippingTypeId":{"type":"integer","description":"The return shipping type. Possible values: 1 - Self-postage (standard); 2 - Prepaid; 3 - Local Prepaid Courier; 4 - Local Prepaid; 5 - Consolidated.","uniqueKey":"ReturnShippingTypeId","typeLabel":"integer"},"ShippingCost":{"type":"number","description":"The prepaid shipping cost associated with the return. If not provided, then the ShippingCost will be the configured prepaid/flat return rate.","uniqueKey":"ShippingCost","typeLabel":"number"}},"uniqueKey":"","typeLabel":"GetReturnDocumentsRequest · object"},"example":{"ProviderCode":"Loop","OrderId":"GE314856569TS","Email":"shopper@example.com","MerchantRMANumber":"RM132","ShippingCost":10,"CurrencyCode":"USD","ReturnShippingTypeId":2,"ReturnShippingMethodId":null,"ReturnedProducts":[{"ProductCode":"DKB500680.M8","CartItemId":null,"ReturnQuantity":1,"MerchantReturnReasonCode":"","MerchantReturnReasonDescription":"Return Reason from GRD request for product 1"},{"ProductCode":"B7ECS.C8","CartItemId":"1","ReturnQuantity":1,"MerchantReturnReasonCode":"TTT","MerchantReturnReasonDescription":"Return Reason from GRD request for product 2"}]},"examples":{"Example":{"title":"Example","value":{"ProviderCode":"Loop","OrderId":"GE314856569TS","Email":"shopper@example.com","MerchantRMANumber":"RM132","ShippingCost":10,"CurrencyCode":"USD","ReturnShippingTypeId":2,"ReturnShippingMethodId":null,"ReturnedProducts":[{"ProductCode":"DKB500680.M8","CartItemId":null,"ReturnQuantity":1,"MerchantReturnReasonCode":"","MerchantReturnReasonDescription":"Return Reason from GRD request for product 1"},{"ProductCode":"B7ECS.C8","CartItemId":"1","ReturnQuantity":1,"MerchantReturnReasonCode":"TTT","MerchantReturnReasonDescription":"Return Reason from GRD request for product 2"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"760523a7-13d3-47ff-ab6b-0c1d2dee8d59":{"description":"The return documents required for the return process, with RMA and tracking details, wrapped in the standard `IsSuccess` / `Data` envelope.","content":{"application/json":{"schema":{"type":"object","title":"GetReturnDocumentsResponse","properties":{"IsSuccess":{"type":"boolean","description":"True if the API call is successful. False if the API call fails.","uniqueKey":"IsSuccess","typeLabel":"boolean"},"Data":{"type":"object","title":"ReturnDocumentsData","properties":{"GlobaleRmaNumber":{"type":"string","maxLength":100,"description":"The Global-e return merchandise authorization (RMA) Number. Maximum 100 characters.","uniqueKey":"Data.GlobaleRmaNumber","typeLabel":"string"},"MerchantOrderId":{"type":"string","maxLength":100,"description":"The Merchant Order ID. Maximum 100 characters.","uniqueKey":"Data.MerchantOrderId","typeLabel":"string"},"MerchantRMANumber":{"type":"string","maxLength":100,"description":"The Merchant RMA Number. Maximum 100 characters.","uniqueKey":"Data.MerchantRMANumber","typeLabel":"string"},"OrderId":{"type":"string","maxLength":100,"description":"The Global-e Order ID. Maximum 100 characters.","uniqueKey":"Data.OrderId","typeLabel":"string"},"ReturnDocuments":{"type":"array","description":"Documents associated with the return, returned individually or unified as a single multi-page document: Commercial Invoice (if the electronic invoice is not supported), Shipping Label, Return Note.","items":{"type":"object","title":"ReturnDocument","properties":{"DocumentData":{"type":"string","description":"Base64 file type representing the document file content.","uniqueKey":"Data.ReturnDocuments.items.[INDEX].DocumentData","typeLabel":"string"},"DocumentTypeCode":{"type":"string","description":"The code value of the document type. This value can be: ShippingLabel, ReturnNote, CommercialInvoice, or CombinedReturnDocuments (if UnifiedAllDocumentsUnderOneFile = true). Each document contains the relevant content with relevant copies.","uniqueKey":"Data.ReturnDocuments.items.[INDEX].DocumentTypeCode","typeLabel":"string"},"DocumentTypeName":{"type":"string","description":"The name of the document type, e.g. ShippingLabel, ReturnNote or CommercialInvoice (unless the invoice is electronic, no invoice is returned).","uniqueKey":"Data.ReturnDocuments.items.[INDEX].DocumentTypeName","typeLabel":"string"},"URL":{"type":"string","description":"URL of the document.","uniqueKey":"Data.ReturnDocuments.items.[INDEX].URL","typeLabel":"string"}},"uniqueKey":"Data.ReturnDocuments.items.[INDEX]","typeLabel":"ReturnDocument · object"},"uniqueKey":"Data.ReturnDocuments","typeLabel":"ReturnDocument · object[]"},"ReturnTrackingDetails":{"type":"object","title":"ReturnTrackingDetails","description":"Contains tracking details for the return.","required":["ShipperName","TrackingNumber","TrackingURL"],"properties":{"ShipperName":{"type":"string","description":"The name of the Shipping Service of the return provider.","isRequired":true,"uniqueKey":"Data.ReturnTrackingDetails.ShipperName","typeLabel":"string"},"TrackingNumber":{"type":"string","description":"Reference number for the tracking service used by the shipper for this return.","isRequired":true,"uniqueKey":"Data.ReturnTrackingDetails.TrackingNumber","typeLabel":"string"},"TrackingURL":{"type":"string","description":"Tracking URL of the tracking service site used by the shipper.","isRequired":true,"uniqueKey":"Data.ReturnTrackingDetails.TrackingURL","typeLabel":"string"},"IsQrLabel":{"type":"boolean","description":"Identifies whether this is a label-free return (QR code only). This information also applies to the ShippingLabel object.","uniqueKey":"Data.ReturnTrackingDetails.IsQrLabel","typeLabel":"boolean"},"IsTrackable":{"type":"boolean","description":"Identifies whether this is a trackable return.","uniqueKey":"Data.ReturnTrackingDetails.IsTrackable","typeLabel":"boolean"}},"uniqueKey":"Data.ReturnTrackingDetails","typeLabel":"ReturnTrackingDetails · object"}},"uniqueKey":"Data","typeLabel":"ReturnDocumentsData · object"}},"uniqueKey":"","typeLabel":"GetReturnDocumentsResponse · object"},"example":{"IsSuccess":true,"Data":{"OrderId":"GE314856569TS","MerchantOrderId":"314856569","GlobaleRmaNumber":"371104","ReturnTrackingDetails":{"TrackingNumber":"1ZXXXXXXXXXXXXXXXX","TrackingURL":"https://wwwapps.ups.com/tracking/tracking.cgi?tracknum=1ZX\u0026requester=ST/","IsQrLabel":"false","IsTrackable":true},"ReturnDocuments":[{"DocumentTypeCode":"ShippingLabel","DocumentTypeName":"Shipping Label","DocumentData":"AQCkosNhECNeAACYzH/NIA5NgtHU2QAAAABJRU5ErkJggg==","URL":"https://[MerchantDomain]/url"}]}},"examples":{"Example":{"title":"Example","value":{"IsSuccess":true,"Data":{"OrderId":"GE314856569TS","MerchantOrderId":"314856569","GlobaleRmaNumber":"371104","ReturnTrackingDetails":{"TrackingNumber":"1ZXXXXXXXXXXXXXXXX","TrackingURL":"https://wwwapps.ups.com/tracking/tracking.cgi?tracknum=1ZX\u0026requester=ST/","IsQrLabel":"false","IsTrackable":true},"ReturnDocuments":[{"DocumentTypeCode":"ShippingLabel","DocumentTypeName":"Shipping Label","DocumentData":"AQCkosNhECNeAACYzH/NIA5NgtHU2QAAAABJRU5ErkJggg==","URL":"https://[MerchantDomain]/url"}]}}}},"exampleType":"examples"}},"exampleType":"examples"},"6109f869-d88b-47bd-be6d-0e11f0612e0b":{"description":"Error response. The documented failures take two shapes: an `ErrorInfo` object (`Code` / `Error` / `Description`), or an envelope with `IsSuccess: false` and an `Errors` array. Clients should accept both. See the integration guide for the full list of documented error codes (E-, ME-, PE-).","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"ErrorInfo","description":"Error response (Code / Error / Description form).","properties":{"Code":{"type":"string","description":"The error code.","uniqueKey":"oneOf.0.Code","typeLabel":"string"},"Error":{"type":"string","description":"The error message.","uniqueKey":"oneOf.0.Error","typeLabel":"string"},"Description":{"oneOf":[{"type":"string","description":"The error description.","uniqueKey":"oneOf.0.Description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The error description.","uniqueKey":"oneOf.0.Description.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.Description","typeLabel":"string | null"}},"uniqueKey":"oneOf.0","typeLabel":"ErrorInfo · object"},{"type":"object","title":"ErrorsEnvelope","description":"Error response envelope carrying one or more errors (from the documented failure examples).","properties":{"IsSuccess":{"type":"boolean","description":"False on error.","uniqueKey":"oneOf.1.IsSuccess","typeLabel":"boolean"},"Errors":{"type":"array","items":{"type":"object","title":"ErrorItem","properties":{"Code":{"type":"string","description":"The error code.","uniqueKey":"oneOf.1.Errors.items.[INDEX].Code","typeLabel":"string"},"Error":{"type":"string","description":"The error message.","uniqueKey":"oneOf.1.Errors.items.[INDEX].Error","typeLabel":"string"},"Description":{"oneOf":[{"type":"string","description":"The error description.","uniqueKey":"oneOf.1.Errors.items.[INDEX].Description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The error description.","uniqueKey":"oneOf.1.Errors.items.[INDEX].Description.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.Errors.items.[INDEX].Description","typeLabel":"string | null"},"Success":{"type":"boolean","description":"Indicates if the call has succeeded. FALSE denotes an error or failure.","uniqueKey":"oneOf.1.Errors.items.[INDEX].Success","typeLabel":"boolean"}},"uniqueKey":"oneOf.1.Errors.items.[INDEX]","typeLabel":"ErrorItem · object"},"uniqueKey":"oneOf.1.Errors","typeLabel":"ErrorItem · object[]"}},"uniqueKey":"oneOf.1","typeLabel":"ErrorsEnvelope · object"}],"uniqueKey":"","typeLabel":"ErrorInfo · object | ErrorsEnvelope · object"},"examples":{"errorInfo":{"title":"errorInfo","value":{"Code":"error code","Error":"error message","Description":"error description"}},"singleError":{"title":"singleError","value":{"IsSuccess":false,"Errors":[{"Code":"E500","Error":"We encountered an unexpected error and are working to resolve the issue","Description":null,"Success":false}]}},"multipleErrors":{"title":"multipleErrors","value":{"IsSuccess":false,"Errors":[{"Code":"PE27","Error":"Return products collection has duplication","Description":null,"Success":false},{"Code":"PE07","Error":"Return product (DKB500680.M8) was not found for order","Description":null,"Success":false},{"Code":"PE07","Error":"Return product (B7ECS.C8) was not found for order","Description":null,"Success":false}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{},"servers":{"6deafc7b-76d9-4371-a512-996c413a1b17":{"url":"https://{globale_api_domain}","variables":{"globale_api_domain":{"default":"globale_api_domain","description":"Global-e API host, supplied to the merchant by Global-e."}}}}},"originalFileLocation":"api-reference/specs/getreturndocuments.yaml"},"subdomain":"globale-enterprise","siteName":"Global-e Docs","title":"Get return documents (Merchant to Global-e) - Global-e Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-27T11:31:48.594Z","originalFileLocation":"api-reference/get-return-documents.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Generates a Global-e RMA and returns the required return documents (label, return note, commercial invoice) with tracking details.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Global-e Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get return documents (Merchant to Global-e) - Global-e Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Generates a Global-e RMA and returns the required return documents (label, return note, commercial invoice) with tracking details.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Global-e Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.global-e.com/api-reference/get-return-documents\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://globale-enterprise.mintlify.app/_mintlify/api/og/v2?division=Returns\u0026amp;title=Get+return+documents+%28Merchant+to+Global-e%29\u0026amp;description=Generates+a+Global-e+RMA+and+returns+the+required+return+documents+%28label%2C+return+note%2C+commercial+invoice%29+with+tracking+details.\u0026amp;theme=ba448c405b24dd48494124de\u0026amp;signature=00948797999d170ed96fe61dca9d54eceff70c620dade62a6117d640b11c76b4\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get return documents (Merchant to Global-e) - Global-e Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Generates a Global-e RMA and returns the required return documents (label, return note, commercial invoice) with tracking details.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://globale-enterprise.mintlify.app/_mintlify/api/og/v2?division=Returns\u0026amp;title=Get+return+documents+%28Merchant+to+Global-e%29\u0026amp;description=Generates+a+Global-e+RMA+and+returns+the+required+return+documents+%28label%2C+return+note%2C+commercial+invoice%29+with+tracking+details.\u0026amp;theme=ba448c405b24dd48494124de\u0026amp;signature=00948797999d170ed96fe61dca9d54eceff70c620dade62a6117d640b11c76b4\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Global-e Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#F15A2B\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.global-e.com/api-reference/get-return-documents\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/get-return-documents.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.global-e.com/#organization\",\"name\":\"Global-e Docs\",\"url\":\"https://docs.global-e.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/globale-enterprise/xvASI8IP64Cj0kr_/logo/light.png?fit=max\u0026auto=format\u0026n=xvASI8IP64Cj0kr_\u0026q=85\u0026s=3b5849fa849995b81b219c94b874d44f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.global-e.com#website\",\"name\":\"Global-e Docs\",\"url\":\"https://docs.global-e.com\",\"publisher\":{\"@id\":\"https://docs.global-e.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.global-e.com/api-reference/get-return-documents#webpage\",\"url\":\"https://docs.global-e.com/api-reference/get-return-documents\",\"name\":\"Get return documents (Merchant to Global-e)\",\"description\":\"Generates a Global-e RMA and returns the required return documents (label, return note, commercial invoice) with tracking details.\",\"dateModified\":\"2026-09-27T11:31:48.594Z\",\"isPartOf\":{\"@id\":\"https://docs.global-e.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.global-e.com/api-reference/get-return-documents#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.global-e.com/api-reference/get-return-documents#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Returns\",\"item\":\"https://docs.global-e.com/api-reference/get-return-shipping-options\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get return documents (Merchant to Global-e)\",\"item\":\"https://docs.global-e.com/api-reference/get-return-documents\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.global-e.com/api-reference/get-return-documents#apireference\",\"headline\":\"Get return documents (Merchant to Global-e)\",\"name\":\"Get return documents (Merchant to Global-e)\",\"description\":\"Generates a Global-e RMA and returns the required return documents (label, return note, commercial invoice) with tracking details.\",\"url\":\"https://docs.global-e.com/api-reference/get-return-documents\",\"mainEntityOfPage\":{\"@id\":\"https://docs.global-e.com/api-reference/get-return-documents#webpage\"},\"dateModified\":\"2026-09-27T11:31:48.594Z\",\"publisher\":{\"@id\":\"https://docs.global-e.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.global-e.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Global-e Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Global-e Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/global-e-enablement-platform"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"API Reference","href":"/api-reference/overview"},{"title":"API Authentication","href":"/api-authentication"}]},{"group":"Shipping","pages":[{"title":"Get shipping documents (Merchant to Global-e)","sidebarTitle":"Get shipping documents","openapi":"api-reference/specs/getshippingdocuments.yaml POST /Order/GetShippingDocuments","href":"/api-reference/get-shipping-documents"},{"title":"Get shipping details (Merchant to Global-e)","sidebarTitle":"Get shipping details","openapi":"api-reference/specs/getshippingdetails.yaml POST /ShippingDetails/GetShippingDetails","href":"/api-reference/get-shipping-details"},{"title":"Get shipping details extended (Merchant to Global-e)","sidebarTitle":"Get shipping details extended","openapi":"api-reference/specs/getshippingdetailsextended.yaml POST /ShippingDetails/GetShippingDetailsExtended","href":"/api-reference/get-shipping-details-extended"},{"title":"Dispatch orders (Merchant to Global-e)","sidebarTitle":"Dispatch orders","openapi":"api-reference/specs/dispatchorders.yaml POST /Order/DispatchOrders","href":"/api-reference/dispatch-orders"},{"title":"Dispatch consolidated shipment (Merchant to Global-e)","sidebarTitle":"Dispatch consolidated shipment","openapi":"api-reference/specs/dispatchconsolidatedshipment.yaml POST /Order/DispatchConsolidatedShipment","href":"/api-reference/dispatch-consolidated-shipment"},{"title":"Get tracking events (Merchant to Global-e)","sidebarTitle":"Get tracking events","openapi":"api-reference/specs/gettrackingevents.yaml POST /Shipment/GetTrackingEvents","href":"/api-reference/get-tracking-events"},{"title":"Void parcel (Merchant to Global-e)","sidebarTitle":"Void parcel","openapi":"api-reference/specs/voidparcel.yaml POST /Parcel/VoidParcel","href":"/api-reference/void-parcel"},{"title":"Submit bonded information (Merchant to Global-e)","sidebarTitle":"Submit bonded information","openapi":"api-reference/specs/submitbondedinformation.yaml POST /api/merchant/parcels/bonded-information","href":"/api-reference/submit-bonded-information"},{"title":"Upload shipment documents (Merchant to Global-e)","sidebarTitle":"Upload shipment documents","openapi":"api-reference/specs/uploadshipmentdocuments.yaml POST /api/shipments/documents/upload","href":"/api-reference/upload-shipment-documents"},{"title":"Get shipment information (Merchant to Global-e)","sidebarTitle":"Get shipment information","openapi":"api-reference/specs/getshipmentinformation.yaml GET /api/shipments/{trackingNumber}","href":"/api-reference/get-shipment-information"}]},{"group":"Orders","pages":[{"title":"Create order (Merchant to Global-e)","sidebarTitle":"Create order","openapi":"api-reference/specs/createorder.yaml POST /checkout/CreateOrder","href":"/api-reference/create-order"},{"title":"Edit order (Merchant to Global-e)","sidebarTitle":"Edit order","openapi":"api-reference/specs/editorder.yaml POST /api/orders/changes","href":"/api-reference/edit-order"},{"title":"Quote order changes (Merchant to Global-e)","sidebarTitle":"Quote order changes","openapi":"api-reference/specs/editorder.yaml POST /api/orders/changes/quote","href":"/api-reference/edit-order-quote"},{"title":"Update Order Dispatch","openapi":"api-reference/specs/updateorderdispatch.yaml POST /Order/UpdateOrderDispatch","href":"/api-reference/update-order-dispatch"},{"title":"Update parcel status (Merchant to Global-e)","sidebarTitle":"Update parcel status","openapi":"api-reference/specs/updateparcelstatus.yaml POST /orders/{orderId}/parcels/{parcelCode}/statuses","href":"/api-reference/update-parcel-status"},{"title":"Update Order Status","openapi":"api-reference/specs/updateorderstatus.yaml POST /Order/UpdateOrderStatus","href":"/api-reference/update-order-status"},{"title":"Create order refund (Merchant to Global-e)","sidebarTitle":"Create order refund","openapi":"api-reference/specs/createorderrefund.yaml POST /Order/CreateOrderRefund","href":"/api-reference/create-order-refund"},{"title":"Create order platform (Merchant to Global-e)","sidebarTitle":"Create order platform","openapi":"api-reference/specs/createorderplatform.yaml POST /Checkout/CreateOrderPlatform","href":"/api-reference/create-order-platform"},{"title":"Update Order Products (Merchant to Global-e)","sidebarTitle":"Update Order Products","openapi":"api-reference/specs/updateorderproducts.yaml POST /Order/UpdateOrderProducts","href":"/api-reference/update-order-products"},{"title":"UpdateOrderDispatchV2","openapi":"api-reference/specs/updateorderdispatchv2.yaml POST /Order/UpdateOrderDispatchV2","href":"/api-reference/update-order-dispatch-v2"},{"title":"Create Additional Required Documents (Merchant to Global-e)","sidebarTitle":"Create Additional Required Documents","openapi":"api-reference/specs/createadditionalrequireddocuments.yaml POST /additional-required-documents","href":"/api-reference/create-additional-required-documents"},{"title":"Get refund details (Merchant to Global-e)","sidebarTitle":"Get refund details","openapi":"api-reference/specs/getrefunddetails.yaml GET /v1/orders/{orderId}/refunds","href":"/api-reference/get-refund-details"},{"title":"Sending Bulk Emails (Merchant to Global-e)","sidebarTitle":"Sending Bulk Emails","openapi":"api-reference/specs/sendbulkemails.yaml POST /emails","href":"/api-reference/send-bulk-emails"}]},{"group":"Returns","pages":[{"title":"Get return shipping options (Merchant to Global-e)","sidebarTitle":"Get return shipping options","description":"Returns the available return shipping methods and costs for an order, plus the return destination address.","openapi":"api-reference/specs/getreturnshippingoptions.yaml POST /Return/GetReturnShippingOptions","href":"/api-reference/get-return-shipping-options"},{"title":"Get return documents (Merchant to Global-e)","sidebarTitle":"Get return documents","openapi":"api-reference/specs/getreturndocuments.yaml POST /Return/GetReturnDocuments","href":"/api-reference/get-return-documents"},{"title":"Update RMA (Merchant to Global-e)","sidebarTitle":"Update RMA","description":"Set or update the merchant's own RMA number (MerchantRMANumber) for a return and send the RMA email to the customer.","openapi":"api-reference/specs/updaterma.yaml POST /Return/UpdateRMA","href":"/api-reference/update-rma"}]},{"group":"Gift Cards","pages":[{"title":"Validate gift card","openapi":"api-reference/specs/giftcards.yaml POST /ValidateGiftCard","href":"/api-reference/validate-gift-card"},{"title":"Redeem gift card","openapi":"api-reference/specs/giftcards.yaml POST /RedeemGiftCard","href":"/api-reference/redeem-gift-card"},{"title":"Refund gift card","openapi":"api-reference/specs/giftcards.yaml POST /RefundGiftCard","href":"/api-reference/refund-gift-card"}]},{"group":"Checkout","pages":[{"title":"SendCartV2 (Merchant to Global-e)","sidebarTitle":"SendCartV2","openapi":"api-reference/specs/sendcartv2.yaml POST /Checkout/SendCartV2","href":"/api-reference/send-cart-v2"}]},{"group":"Pricing","pages":[{"title":"Get catalog prices (Merchant to Global-e)","sidebarTitle":"Get catalog prices","openapi":"api-reference/specs/getcatalogprices.yaml POST /Browsing/GetCatalogPrices","href":"/api-reference/get-catalog-prices"},{"title":"GetMerchantPriceDetails (Merchant to Global-e)","sidebarTitle":"GetMerchantPriceDetails","openapi":"api-reference/specs/getmerchantpricedetails.yaml GET /externalapi/GetMerchantPriceDetails","href":"/api-reference/get-merchant-price-details"}]},{"group":"Browsing \u0026 Catalog","pages":[{"title":"Active hub details (Merchant to Global-e)","sidebarTitle":"Active hub details","openapi":"api-reference/specs/activehubdetails.yaml POST /Browsing/ActiveHubDetails","href":"/api-reference/active-hub-details"},{"title":"App settings (Merchant to Global-e)","sidebarTitle":"App settings","openapi":"api-reference/specs/appsettings.yaml POST /Browsing/AppSettings","href":"/api-reference/app-settings"},{"title":"App version (Merchant to Global-e)","sidebarTitle":"App version","openapi":"api-reference/specs/appversion.yaml POST /Browsing/AppVersion","href":"/api-reference/app-version"},{"title":"Countries (Merchant to Global-e)","sidebarTitle":"Countries","openapi":"api-reference/specs/countries.yaml POST /Browsing/Countries","href":"/api-reference/countries"},{"title":"Country coefficients (Merchant to Global-e)","sidebarTitle":"Country coefficients","openapi":"api-reference/specs/countrycoefficients.yaml POST /Browsing/CountryCoefficients","href":"/api-reference/country-coefficients"},{"title":"Currencies (Merchant to Global-e)","sidebarTitle":"Currencies","openapi":"api-reference/specs/currencies.yaml POST /Browsing/Currencies","href":"/api-reference/currencies"},{"title":"Currency Rates (Merchant to Global-e)","sidebarTitle":"Currency Rates","openapi":"api-reference/specs/currencyrates.yaml POST /Browsing/CurrencyRates","href":"/api-reference/currency-rates"},{"title":"Location by IP (Merchant to Global-e)","sidebarTitle":"Location by IP","openapi":"api-reference/specs/locationbyip.yaml POST /Browsing/LocationByIP","href":"/api-reference/location-by-ip"},{"title":"Location default culture (Merchant to Global-e)","sidebarTitle":"Location default culture","openapi":"api-reference/specs/locationdefaultculture.yaml POST /Browsing/LocationDefaultCulture","href":"/api-reference/location-default-culture"},{"title":"Locations Default Cultures List (Merchant to Global-e)","sidebarTitle":"Locations Default Cultures List","openapi":"api-reference/specs/locationsdefaultcultureslist.yaml POST /Browsing/LocationsDefaultCulturesList","href":"/api-reference/locations-default-cultures-list"},{"title":"Product Countries (Merchant to Global-e)","sidebarTitle":"Product Countries","openapi":"api-reference/specs/productcountries.yaml POST /Browsing/ProductCountryS","href":"/api-reference/product-countries"},{"title":"Recent Product Countries (Merchant to Global-e)","sidebarTitle":"Recent Product Countries","openapi":"api-reference/specs/recentproductcountries.yaml POST /Browsing/RecentProductCountryS","href":"/api-reference/recent-product-countries"},{"title":"Regions (Merchant to Global-e)","sidebarTitle":"Regions","openapi":"api-reference/specs/regions.yaml POST /Browsing/Regions","href":"/api-reference/regions"},{"title":"Rounding rules (Merchant to Global-e)","sidebarTitle":"Rounding rules","openapi":"api-reference/specs/roundingrules.yaml POST /Browsing/RoundingRules","href":"/api-reference/rounding-rules"},{"title":"Save products list (Merchant to Global-e)","sidebarTitle":"Save products list","openapi":"api-reference/specs/saveproductslist.yaml POST /Browsing/SaveProductsList","href":"/api-reference/save-products-list"},{"title":"Save Products Bulk (Merchant to Global-e)","sidebarTitle":"Save Products Bulk","openapi":"api-reference/specs/saveproductsbulk.yaml POST /Bulk/SaveProductsBulk","href":"/api-reference/save-products-bulk"},{"title":"Shipping Options (Merchant to Global-e)","sidebarTitle":"Shipping Options","openapi":"api-reference/specs/shippingoptions.yaml POST /Browsing/ShippingOptions","href":"/api-reference/shipping-options"},{"title":"VAT Category Countries (Merchant to Global-e)","sidebarTitle":"VAT Category Countries","openapi":"api-reference/specs/vatcategorycountries.yaml POST /Browsing/VATCategoryCountryS","href":"/api-reference/vat-category-countries"}]},{"group":"Subscriptions","pages":[{"title":"Get subscription and payment reference details (Merchant to Global-e)","sidebarTitle":"Get subscription and payment reference details","openapi":"api-reference/specs/getsubscriptionandpaymentreferencedetails.yaml GET /Payments/Subscriptions/{merchantGuid}","href":"/api-reference/get-subscription-and-payment-reference-details"},{"title":"Subscription notifications (Subscription Manager to Global-e)","sidebarTitle":"Subscription notifications","openapi":"api-reference/specs/subscriptionnotifications.yaml POST /subscriptions/notifications","href":"/api-reference/subscription-notifications"},{"title":"Calculate billing summary (Subscription Manager to Global-e)","sidebarTitle":"Calculate billing summary","openapi":"api-reference/specs/billingsummarycalculate.yaml POST /subscriptions/billing-summary/calculate","href":"/api-reference/calculate-billing-summary"},{"title":"Create recurring payment (Subscription Manager to Global-e)","sidebarTitle":"Create recurring payment","openapi":"api-reference/specs/recurringpayments.yaml POST /subscriptions/recurringPayments","href":"/api-reference/create-recurring-payment"},{"title":"Update a subscription (Subscription Manager to Global-e)","sidebarTitle":"Update a subscription","openapi":"api-reference/specs/updatesubscription.yaml PATCH /subscriptions/{subscriptionId}","href":"/api-reference/update-subscription"}]},{"group":"Webhooks","pages":[{"group":"Orders","pages":[{"title":"Send Order To Merchant (Global-e to Merchant)","sidebarTitle":"Send Order To Merchant","openapi":"api-reference/specs/sendordertomerchant.yaml POST /order-update-create-url","href":"/api-reference/send-order-to-merchant"},{"title":"Send additional required documents to merchant (Global-e to Merchant)","sidebarTitle":"Send additional required documents to merchant","openapi":"api-reference/specs/sendadditionalrequireddocumentstomerchant.yaml POST /send-additional-required-documents-url","href":"/api-reference/send-additional-required-documents-to-merchant"},{"title":"Notify order refund (Global-e to Merchant)","sidebarTitle":"Notify order refund","openapi":"api-reference/specs/notifyorderrefund.yaml POST /order-refund-url","href":"/api-reference/notify-order-refund"},{"title":"Update Order Shipping Info (Global-e to Merchant)","sidebarTitle":"Update Order Shipping Info","openapi":"api-reference/specs/updateordershippinginfo.yaml POST /order-shipping-info-update-only-url","href":"/api-reference/update-order-shipping-info"},{"title":"Update Order Status (Global-e to Merchant)","sidebarTitle":"Update Order Status","openapi":"api-reference/specs/updateorderstatusfromglobale.yaml POST /order-status-update-url","href":"/api-reference/update-order-status-from-globale"},{"title":"Send RMA Info to Merchant (Global-e to Merchant)","sidebarTitle":"Send RMA Info to Merchant","openapi":"api-reference/specs/sendrmainfomerchant.yaml POST /rma-info-to-merchant-url","href":"/api-reference/send-rma-info-merchant"},{"title":"Perform Order Payment (Global-e to Merchant)","sidebarTitle":"Perform Order Payment","openapi":"api-reference/specs/performorderpayment.yaml POST /order-payment-only-url","href":"/api-reference/perform-order-payment"}]},{"group":"Checkout \u0026 Cart","pages":[{"title":"Get Checkout Cart Info (Global-e to Merchant)","sidebarTitle":"Get Checkout Cart Info","openapi":"api-reference/specs/getcheckoutcartinfo.yaml GET /get-checkout-cart-info-url","href":"/api-reference/get-checkout-cart-info"},{"title":"Validate Stock (Global-e to Merchant)","sidebarTitle":"Validate Stock","openapi":"api-reference/specs/validatestock.yaml POST /checkout-validate-cart-stock-url","href":"/api-reference/validate-stock"},{"title":"ValidateVoucher (Global-e to Merchant)","sidebarTitle":"ValidateVoucher","openapi":"api-reference/specs/validatevoucher.yaml POST /checkout-validate-cart-voucher-url","href":"/api-reference/validate-voucher"},{"title":"Client apply loyalty vouchers (Global-e to Merchant)","sidebarTitle":"Client apply loyalty vouchers","openapi":"api-reference/specs/clientapplyloyaltyvouchers.yaml POST /ClientApplyLoyaltyVouchers","href":"/api-reference/client-apply-loyalty-vouchers"},{"title":"RemoveRestrictedProducts (Global-e to Merchant)","sidebarTitle":"RemoveRestrictedProducts","openapi":"api-reference/specs/removerestrictedproducts.yaml POST /remove-restricted-products-url","href":"/api-reference/remove-restricted-products"}]},{"group":"Fulfillment","pages":[{"title":"Update Parcel Dispatch","openapi":"api-reference/specs/updateparceldispatch.yaml POST /UpdateParcelDispatch","href":"/api-reference/update-parcel-dispatch"}]},{"group":"Subscriptions","pages":[{"title":"Recurring payment notifications (Global-e to Subscription Manager)","sidebarTitle":"Recurring payment notifications","openapi":"api-reference/specs/recurringpaymentnotifications.yaml POST /subscriptions/recurringPayments/notifications","href":"/api-reference/recurring-payment-notifications"}]}]},{"group":"Shared Objects","pages":[{"title":"Attributes","href":"/api-reference/objects/attributes"},{"title":"BillingDetails","href":"/api-reference/objects/billing-details"},{"title":"Brand","href":"/api-reference/objects/brand"},{"title":"Category","href":"/api-reference/objects/category"},{"title":"DiscountsList","href":"/api-reference/objects/discounts-list"},{"title":"Parcel","href":"/api-reference/objects/parcel"},{"title":"ShippingDetails","href":"/api-reference/objects/shipping-details"},{"title":"UserIdNumberType","href":"/api-reference/objects/user-id-number-type"},{"title":"VATRateType","href":"/api-reference/objects/vat-rate-type"}]}]}]},"basePath":"","title":"Get return documents (Merchant to Global-e) - Global-e Docs","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}